> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1774051868.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Flex Plans

<Note>
  These endpoints are available only for B2B partner services. Fill the form at [https://whitebit.com/institutional-services/b2b](https://whitebit.com/institutional-services/b2b) to request access.
</Note>


## OpenAPI

````yaml /openapi/private/main_api_v4.yaml POST /api/v4/main-account/smart-flex/plans
openapi: 3.0.3
info:
  title: WhiteBIT Private HTTP API V4
  description: |
    WhiteBIT Private HTTP API V4 for Main balance changes.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.
  version: 4.0.0
  contact:
    name: WhiteBIT Support
    email: support@whitebit.com
    url: https://whitebit.com
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
tags:
  - name: Main Account
    description: Main account balance and operations
  - name: Deposit
    description: Cryptocurrency and fiat deposit operations
  - name: Withdraw
    description: Cryptocurrency and fiat withdrawal operations
  - name: Transfer
    description: Balance transfer operations
  - name: Codes
    description: WhiteBIT codes operations
  - name: Crypto Lending - Fixed
    description: Fixed crypto lending plans
  - name: Crypto Lending - Flex
    description: Flexible crypto lending plans
  - name: Fees
    description: Fee information
  - name: Sub-Account
    description: Sub-account management
  - name: Sub-Account API Keys
    description: Sub-account API key management
  - name: Mining Pool
    description: Mining pool operations
  - name: Credit Line
    description: Credit line information
  - name: JWT
    description: JWT token management
paths:
  /api/v4/main-account/smart-flex/plans:
    post:
      tags:
        - Crypto Lending - Flex
      summary: Get Flex Plans
      description: |
        Retrieve list of active [Flex Plans](/glossary#crypto-lending).

        Available after September 22, 2025.

        <Warning>
        Rate limit: 1000 requests/10 sec.
        </Warning>

        <Note>
        The API does not cache the response.
        </Note>
      operationId: getFlexPlans
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - request
                - nonce
              properties:
                limit:
                  type: integer
                  maximum: 100
                  default: 100
                  description: Pagination limit.
                  example: 50
                offset:
                  type: integer
                  minimum: 0
                  default: 0
                  description: Pagination offset.
                  example: 0
                ticker:
                  type: string
                  description: 'Filter by currency [ticker](/glossary#ticker). Example: USDT'
                  example: USDT
                request:
                  type: string
                  description: Request signature
                  example: '{{request}}'
                nonce:
                  type: string
                  description: Unique request identifier
                  example: '{{nonce}}'
            example:
              limit: 50
              offset: 0
              ticker: USDT
              request: '{{request}}'
              nonce: '{{nonce}}'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FlexPlan'
              example:
                - id: 8f2e9d3c-1a4b-4c2d-9e5f-6a7b8c9d0e1f
                  ticker: USDT
                  minInvestment: '10.0'
                  maxInvestment: '100000.0'
                  maxRate: '0.15'
                - id: 7e1d8c2b-9a3b-3b1c-8d4e-5a6b7c8d9e0f
                  ticker: BTC
                  minInvestment: '0.001'
                  maxInvestment: '10.0'
                  maxRate: '0.12'
        '400':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                invalidFields:
                  summary: Invalid parameters
                  value:
                    code: 0
                    message: Validation failed
                    errors:
                      ticker:
                        - The selected ticker is invalid.
                      limit:
                        - The limit must be an integer.
                        - The limit may not be greater than 100.
                      offset:
                        - The offset must be an integer.
                        - The offset must be at least 0.
components:
  schemas:
    FlexPlan:
      type: object
      properties:
        id:
          type: string
          description: Flex plan identifier
          example: '12'
        ticker:
          type: string
          description: Currency [ticker](/glossary#ticker)
          example: USDT
        minInvestment:
          type: string
          description: Minimum investment amount
          example: '10.0'
        maxInvestment:
          type: string
          description: Maximum investment amount
          example: '100000.0'
        maxRate:
          type: string
          description: Maximum interest rate
          example: '0.0030'
    Error:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: API key authentication using signed requests

````